load("@io_bazel_rules_go//go:def.bzl", "go_binary", "go_library")

go_library(
    name = "lib",
    srcs = ["main.go"],
    importpath = "",
    visibility = ["//visibility:private"],
    deps = [
        "@com_github_brutella_hc//:go_default_library",
        "@com_github_brutella_hc//accessory:go_default_library",
        "@com_github_bwdezend_astoria_hc//internal/core:go_default_library",
        "@com_github_bwdezend_astoria_hc//internal/telemetry:go_default_library",
    ],
)

go_binary(
    name = "cmd",
    embed = [":cmd_lib"],
    visibility = ["//visibility:public"],
)

go_library(
    name = "cmd_lib",
    srcs = ["main.go"],
    importpath = "github.com/example/project/dezendorf/applications/astoria-hc/cmd",
    visibility = ["//visibility:private"],
    deps = [
        "@com_github_brutella_hc//:go_default_library",
        "@com_github_brutella_hc//accessory:go_default_library",
        "@com_github_bwdezend_astoria_hc//internal/core:go_default_library",
        "@com_github_bwdezend_astoria_hc//internal/telemetry:go_default_library",
    ],
)
